import 'package:event_bus/event_bus.dart';
import 'package:flutter/material.dart';
import 'package:flutter_mylibrary/utils/screen_util.dart';

import 'res/dimens.dart';

var appBarColor = Color(0xff4169e2);

var bgColor = Color(0xfff7f7f7);

var mainSpace = 10.0;

var mainLineWidth = 0.3;

var lineColor = Colors.grey;

var mainTextColor = Color.fromRGBO(115, 115, 115, 1.0);

final EventBus eventBus = EventBus();

const String noMoreTag = 'noMore';

/// 间隔
class Gaps {
  /// 水平间隔
  static Widget hGap5 = new SizedBox(width: ScreenUtil.getInstance().getWidth(5));
  static Widget hGap10 = new SizedBox(width: ScreenUtil.getInstance().getWidth(10));
  static Widget hGap15 = new SizedBox(width: ScreenUtil.getInstance().getWidth(15));

  /// 垂直间隔
  static Widget vGap5 = new SizedBox(height: ScreenUtil.getInstance().getHeight(5));
  static Widget vGap10 = new SizedBox(height: ScreenUtil.getInstance().getHeight(10));
  static Widget vGap15 = new SizedBox(height: ScreenUtil.getInstance().getHeight(15));

  /// 自定义垂直间隔
  static Widget getVertical(double height){
    return SizedBox(
      height: ScreenUtil.getInstance().getHeight(height),
    );
  }

  /// 自定义水平间隔
  static Widget getHorizontal(double width){
    return SizedBox(
      width: ScreenUtil.getInstance().getWidth(width),
    );
  }
}